// advother.cpp : implementation file
//

#include "stdafx.h"
#include "tutorial.h"
#include "mainFrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CArrowWnd

CArrowWnd::CArrowWnd()
{                  
}

CArrowWnd::~CArrowWnd()
{
}

void CArrowWnd::CreateEx()
{                 
  CRect rect(0,0,1,1);
  CWnd::CreateEx(WS_EX_TOPMOST,AfxRegisterWndClass(0),
			        NULL,WS_POPUP,//|WS_VISIBLE,
			        rect.left,rect.top,rect.Width(),rect.Height(),
			        NULL,NULL,NULL);
}                 
BEGIN_MESSAGE_MAP(CArrowWnd, CWnd)
	//{{AFX_MSG_MAP(CArrowWnd)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CArrowWnd message handlers


void CArrowWnd::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	CRect rect;
	GetClientRect(&rect);
	((CMainFrame *)(AfxGetApp()->m_pMainWnd))->
	DrawTPmap(dc,rect,
              "ARROW_LEFT_C",
              "ARROW_LEFT_M", 
              ((CMainFrame *)(AfxGetApp()->m_pMainWnd))->
               m_hFlookInst,0);  

	// Do not call CWnd::OnPaint() for painting messages
}
